complexType "CollateralProposalStatus"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 3 attributes, 14 elements
Defined: | globally in fpml-collateral-processes-5-3.xsd; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
fpmlVersion | = | xsd:token
expectedBuild | = | xsd:positiveInteger
actualBuild | = | "2"
| >
Content: | header?, validation*, parentCorrelationId?, correlationId?, sequenceNumber??, onBehalfOf[0..4]?, marginCallIssuerPartyReference, marginCallReceiverPartyReference, ((variationMargin, segregatedIndependentAmount?) | segregatedIndependentAmount), assets, party*, account*
</...>

Content Model Elements (14):

  account,
  assets (in collateralProposalStatus),
  correlationId,
  header (defined in ResponseMessage complexType),
  marginCallIssuerPartyReference (in collateralProposalStatus),
  marginCallReceiverPartyReference (in collateralProposalStatus),
  onBehalfOf (defined in OnBehalfOf.model group),
  parentCorrelationId,
  party (defined in PartiesAndAccounts.model group),
  segregatedIndependentAmount (in collateralProposalStatus),
  segregatedIndependentAmount (in collateralProposalStatus),
  sequenceNumber (defined in Sequence.model group),
  validation,
  variationMargin (in collateralProposalStatus)

All Direct / Indirect Based Elements (1):

  collateralProposalStatus

Known Usage Locations

- As direct type of elements (1):
  collateralProposalStatus

Type Definition Detail

Type Derivation Tree Document (extension) Message (extension) ResponseMessage (extension) CollateralProposalStatus

XML Source (w/o annotations (3); see within schema source)

<xsd:complexType name="CollateralProposalStatus"> <xsd:complexContent> <xsd:extension base="ResponseMessage"> <xsd:sequence> <xsd:element name="marginCallIssuerPartyReference" type="PartyReference"/> <xsd:element name="marginCallReceiverPartyReference" type="PartyReference"/> <xsd:group ref="ProposedCollateralResponse.model"/> <xsd:element name="assets" type="Assets"/> <xsd:group ref="PartiesAndAccounts.model"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 3/14)
assets

  Type: | Assets, complex content

  The list of assets to be moved.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="assets" type="Assets"/>

marginCallIssuerPartyReference

  Type: | PartyReference, empty content

  The party issuing the margin call.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="marginCallIssuerPartyReference" type="PartyReference"/>

marginCallReceiverPartyReference

  Type: | PartyReference, empty content

  The party receiving the margin call.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="marginCallReceiverPartyReference" type="PartyReference"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.